using System.Collections;
using System.Collections.Generic;
using UnityEngine;
//using MyBox;

[CreateAssetMenu(fileName = "BattlePassReward", menuName = "Battle Royale/New Reward")]
public class BattlePassReward : ScriptableObject
{
    [Header("Reward Type")]
    public RewardType rewardType;

    [Header("Reward Value")]
    public int Amount;

    [Header("Reward Icon Visuals")]
    public Texture RewardBackground;
    public Texture RewardIcon;

    [Header("Reward Preview Visuals")]
    public GameObject RewardPreview;
}
